Golden Gate Package DDLREPLICATION Invalid (Doc ID 2259467.1)

Last updated on JULY 17, 2017

Applies to:

Oracle GoldenGate - Version 11.2.1.0.27 and later
Information in this document applies to any platform.

Symptoms

We faced that problem that GG package DDLREPLICATION could not compile. We had to :

1) disable GGS_DDL_TRIGGER_BEFORE
2) run utlrp.sql
3) enable GGS_DDL_TRIGGER_BEFORE

That did the work but we got many updates that were not replicated during the time the package was invalid.


Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms